[Pkg-alsa-devel] [Debian ALSA CVS] debian/alsa-utils/debian/patches (1 file)

Thomas Hood jdthood-guest@haydn.debian.org
Sat, 18 Sep 2004 07:13:29 -0600


    Date: Saturday, September 18, 2004 @ 07:13:29
  Author: jdthood-guest
    Path: /cvsroot/pkg-alsa/debian/alsa-utils/debian/patches

   Added: 15_alsamixer_doc_mute.dpatch

Add 15_alsamixer_doc_mute.dpatch


------------------------------+
 15_alsamixer_doc_mute.dpatch |   35 +++++++++++++++++++++++++++++++++++
 1 files changed, 35 insertions(+)


Index: debian/alsa-utils/debian/patches/15_alsamixer_doc_mute.dpatch
diff -u /dev/null debian/alsa-utils/debian/patches/15_alsamixer_doc_mute.dpatch:1.1
--- /dev/null	Sat Sep 18 07:13:29 2004
+++ debian/alsa-utils/debian/patches/15_alsamixer_doc_mute.dpatch	Sat Sep 18 07:13:29 2004
@@ -0,0 +1,38 @@
+#! /bin/sh -e
+## 15_alsamixer_doc_mute.dpatch by  <jdthood@yahoo.co.uk>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: No description.
+
+if [ $# -lt 1 ]; then
+    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+    -patch) patch -p1 ${patch_opts} < $0;;
+    -unpatch) patch -R -p1 ${patch_opts} < $0;;
+    *)
+        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+        exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -urNad /home/jdthood/src/pkg-alsa/debian/alsa-utils/alsamixer/alsamixer.1 alsa-utils/alsamixer/alsamixer.1
+--- /home/jdthood/src/pkg-alsa/debian/alsa-utils/alsamixer/alsamixer.1	2002-11-29 18:32:52.000000000 +0100
++++ alsa-utils/alsamixer/alsamixer.1	2004-09-10 13:06:45.000000000 +0200
+@@ -54,7 +54,8 @@
+ The \fIB\fP or \fI=\fP key adjusts the balance of volumes on left and
+ right channels.
+ 
+-\fIM\fP toggles muting for the current channel (both left and right). You can
++\fIM\fP toggles muting for the current channel (both left and right).
++If the hardware supports it, you can
+ mute left and right independently by using \fI,\fP (or \fI<\fP) and
+ \fI.\fP (or \fI>\fP) respectively.
+